public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/plist/
Date: Sun, 30 Apr 2017 05:12:40 +0000 (UTC)	[thread overview]
Message-ID: <1493527966.66da21ee8d5219fb887079b597c30530cb14f8a9.graaff@gentoo> (raw)

commit:     66da21ee8d5219fb887079b597c30530cb14f8a9
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 30 04:52:46 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Apr 30 04:52:46 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66da21ee

dev-ruby/plist: add 3.3.0

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-ruby/plist/Manifest           |  1 +
 dev-ruby/plist/plist-3.3.0.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/dev-ruby/plist/Manifest b/dev-ruby/plist/Manifest
index 9a38103f973..37457fc6e58 100644
--- a/dev-ruby/plist/Manifest
+++ b/dev-ruby/plist/Manifest
@@ -1 +1,2 @@
 DIST plist-3.2.0.gem 38912 SHA256 0b3dd455bde18ba7b954ff2fea4eae733f3b38b71504e723255bccc6567a70a9 SHA512 87035859b346b2b59284c5389025570ed678a4fc584bc07e8b1e3246fafc5d0f39818505cb15eb7f45e4aaa680c67d56be9e5f73d5f99f96eded885c3f5dac32 WHIRLPOOL 80a1743b9f39b9cc90d998b06df317c7d6385dfdb15e12465862cfc011e43fe3bce80ef3dfad561163bce1c899b1d3746a9c84c984c04c126eea0dd77b5a2d97
+DIST plist-3.3.0.tar.gz 36126 SHA256 e725bb33c1141b98317f5b1441498145286f59563616bd0735f1cb754564f640 SHA512 42b7bd22d4638d649d19699af0ddd5cef324698656d39cad0d842f50e0a1b894db929e7211b498050cf1e734956d5a5b3b5cca1060bb9e8955296c6654951454 WHIRLPOOL 02b70da33c183d4e34c968cec6d547d3b6309abcab631d99ca4000ef2bfba7c752cdc91796256a4def6ec402615fd63b12319fcaae007ac0f8659b67d95c6a9d

diff --git a/dev-ruby/plist/plist-3.3.0.ebuild b/dev-ruby/plist/plist-3.3.0.ebuild
new file mode 100644
index 00000000000..f9de0ec66ee
--- /dev/null
+++ b/dev-ruby/plist/plist-3.3.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.rdoc README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library to manipulate Property List files, also known as plists"
+HOMEPAGE="https://github.com/patsplat/plist"
+SRC_URI="https://github.com/patsplat/plist/archive/v3.3.0.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+	sed -i -e '/bundler/ s:^:#:' Rakefile || die
+	sed -i -e 's/git ls-files -z/find . -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}


             reply	other threads:[~2017-04-30  5:12 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-04-30  5:12 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-31  8:53 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/plist/ Hans de Graaff
2023-12-28  9:33 Hans de Graaff
2023-12-27 13:55 Hans de Graaff
2023-06-29 20:13 Hans de Graaff
2023-06-29 20:13 Hans de Graaff
2023-02-25  7:21 Hans de Graaff
2022-04-30  9:08 Hans de Graaff
2022-04-30  9:08 Hans de Graaff
2021-01-03  8:05 Hans de Graaff
2020-07-31  6:28 Hans de Graaff
2020-07-22 13:44 Hans de Graaff
2019-07-16  6:56 Hans de Graaff
2019-01-14 16:36 Hans de Graaff
2018-02-08  6:25 Hans de Graaff
2018-02-08  6:25 Hans de Graaff
2017-12-11  6:24 Hans de Graaff
2016-12-16 21:06 Hans de Graaff
2016-04-07  5:26 Hans de Graaff
2016-01-30 15:50 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1493527966.66da21ee8d5219fb887079b597c30530cb14f8a9.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox